package cn.pluss.platform.other;

import cn.pluss.platform.exception.MsgException;
import cn.pluss.platform.util.StringUtil;
import lombok.Data;

/**
 * TODO
 * 积分商城公共请求参数
 * @author crystal
 * @date 2022/5/24 23:13
 */
@Data
public class JfShopCommon {

    /**
     * 请求ID
     */
    protected String reqId;

    /**
     * 请求时间戳
     */
    protected Long timestamp;

    /**
     * 用户ID
     */
    protected String userId;

    public void check() {
        MsgException.checkBlank(this.getReqId(),"reqId为空！");
        MsgException.checkNull(this.getTimestamp(),"timestamp为空！");
        MsgException.checkBlank(this.getUserId(),"请求用户ID为空！");
    }
}
